﻿@model ProjectView
@{
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}
<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

@Styles.Render("~/Content/ProjectCSS")
@Styles.Render("~/Content/DataPicker")
@Scripts.Render("~/bundles/Projects")

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title pull-left">WorkFlow</h3>
    </div>

    <div class="panel-body">
        <div class="col-md-12">
            <h3 style="margin-top: 0px;">@Model.U_Model - @Model.u_ModelDesc</h3>
        </div>

        <div class="divider"></div>

            <div class="col-md-2 col-sm-2 col-xs-12">
                @if (!string.IsNullOrEmpty(Model.ImageName.Trim()))
                {
                    <img src="/images/@Model.U_Model/@Model.ImageName" class="img-full">
                }
                else
                {
                    <img src="~/Content/img/noimage.gif" class="img-full" />
                }

            </div>

            <div class="col-md-4 col-sm-4 col-xs-12 pull-right">

            <div class="form-group">
                <label class="col-md-4 control-label">@PDM.Status</label>
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.U_Status, new SelectList(
                        Model.StatusList,
                        "Value",
                        "Text", Model.U_Status), new { @Id = "U_Status", @Name = "U_Status", @class = "form-control" })
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label">@PDM.Calendar</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(model => model.U_Calendar, new { @Id = "U_Calendar", @Name = "U_Calendar", @placeholder = @PDM.Calendar, @class = "form-control", @onchange = "CalculateLineDates();" })
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label">Plan</label>
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.U_Planning, new SelectList(
                        Model.PlanList,
                        "Value",
                        "Text", Model.U_Planning), new { @Id = "U_Planning", @Name = "U_Planning", @class = "form-control", @onchange = "CalculateLineDates();" })
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label">@PDM.Date</label>
                <div class="col-md-8">
                    <div class="input-group date">
                        @Html.TextBox("U_SDate", (Model.U_SDate != null && Model.U_SDate != DateTime.MinValue ? Model.U_SDate.ToString().AsDateTime().ToShortDateString() : ""), new { @Id = "U_SDate", @placeholder = @PurchaseOrders.Date, @class = "form-control", @onchange = "CalculateLineDates();" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    </div>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label">@PDM.Document</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(model => model.U_SalesO, new { @Id = "U_SalesO", @Name = "U_SalesO", @placeholder = @PDM.Document, @class = "form-control" })
                </div>
            </div>

        </div>

            <div class="col-md-4 col-sm-4 col-xs-12 pull-right">
                <div class="form-group">
                    <label class="col-md-4 control-label">@PDM.Code</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(model => model.Code, new { @Id = "Code", @Name = "Code", @placeholder = @PDM.Code, @class = "form-control", @disabled = "disabled" })
                        @Html.Hidden("ModelID", Model.ModelID, new { @Id = "ModelID", @Name = "ModelID" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-4 control-label">@PDM.Desc</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(model => model.U_Desc, new { @Id = "U_Desc", @Name = "U_Desc", @placeholder = @PDM.Desc, @class = "form-control" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-4 control-label">@PDM.ModelCode</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(model => model.U_Model, new { @Id = "U_Model", @Name = "U_Model", @placeholder = @PDM.ModelCode, @class = "form-control", @disabled = "disabled" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label">@PDM.Model</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(model => model.U_Model, new { @Id = "U_ModelDesc", @Name = "U_ModelDesc", @placeholder = @PDM.Model, @class = "form-control", @disabled = "disabled" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label">@PDM.Workflow</label>
                    <div class="col-md-8">
                        @Html.DropDownListFor(model => model.U_Workflow, new SelectList(
                        Model.RoutingList,
                        "Code",
                        "U_RoutCode", Model.U_Workflow), new { @Id = "U_Workflow", @Name = "U_Workflow", @class = "form-control", @onchange = "ChangeWorkflow();" })
                    </div>
                </div>
            </div>

            
        </div>

    <div class="divider"></div>

    @*<div class="clear_simple"></div>
        <div class="panel-body border-bottom" style="border-color:#ccc;">
            <div class="col-md-6 pull-left"><h2>Code: WWFF</h2></div>
            <div class="col-md-6 pull-right"><button type="button" class="btn btn-success btn-lg pull-right margin-left"><span class="glyphicon glyphicon-zoom-in"></span> Select Workflow</button></div>
            <div class="clear_simple"></div>
        </div>*@

    <div class="panel-body">
        <div class="">
            <ul id="myTab" class="nav nav-tabs" role="tablist">
                <li class="active"><a href="#tabActivities" role="tab" data-toggle="tab">@PDM.Activities</a></li>
                @*<li class=""><a href="#tab2" role="tab" data-toggle="tab">@PDM.Documents</a></li>*@
            </ul>
            <div id="myTabContent" class="tab-content">
                <!--tab1-->
                <div class="tab-pane fade active in" id="tabActivities">
                    @Html.Partial("_ActivitiesTable", Tuple.Create(Model.ActivitiesList, Model.DepartmentList, Model.RolSAPList, ""))
                </div>
                <!--tab2-->
                @*<div class="tab-pane fade" id="tab2">
                        <div class="table-responsive">
                            <table class="table table-striped">
                                <thead>
                                    <tr>

                                        <th>Type</th>
                                        <th>Item No.</th>
                                        <th>BP catalog</th>
                                        <th>Item Description</th>
                                        <th>Quantity</th>
                                        <th>Unit Price</th>
                                        <th>Tax Code</th>
                                        <th>Discount</th>
                                        <th>Total</th>
                                        <th></th>

                                    </tr>
                                </thead>
                                <tbody>

                                    <tr>
                                        <td>Sales Order</td>
                                        <td>#55525258</td>
                                        <td>55852</td>
                                        <td>Item Description</td>
                                        <td>55</td>
                                        <td>$58.56</td>
                                        <td>$10</td>
                                        <td>10%</td>
                                        <td>$555</td>
                                        <td></td>
                                    </tr>
                                </tbody>

                            </table>
                        </div>
                        <div class="clearfix"></div>
                    </div>*@
            </div>
        </div>
    </div>

    @if (ViewBag.FormMode == "Update" && string.IsNullOrEmpty(Model.ActivitiesList.FirstOrDefault().U_ActSAP))
    {
        <div class="panel-body">
            @*<button type="button" class="btn btn-default btn-lg pull-right margin-left"><span class="glyphicon glyphicon-calendar"></span> Gantt</button>*@
            <button type="button" id="CreateActivityButton" class="btn btn-success btn-lg pull-right margin-left"><span class="glyphicon glyphicon-time"></span> Create Activities</button>
        </div>
    }

</div>

@if (Model.ActivitiesList.Count > 0)
{
    if (Model.ActivitiesList.FirstOrDefault().ActivitySAP != null)
    {
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title pull-left">@PDM.TL</h3>
            </div>
            <div class="panel-body">
                <form class="wizard ">
                    <div class="steps clearfix">
                        <ul role="tablist">
                            @foreach (ARGNSCrPathActivitiesView mActivity in Model.ActivitiesList)
                            {
                                <li role="tab" class="@(mActivity.ActivitySAP.Closed == "Y" ? "done" : (mActivity.ActivitySAP.Closed == "N" && mActivity.ActivitySAP.endDate >= DateTime.Today ? "current" : "fault"))">
                                    <a id="steps-uid-3-t-0" href="#">
                                        <span class="number icon_sap_1">1</span>
                                        <h2>@mActivity.U_PhaseId - @mActivity.U_Desc</h2>
                                        <div class="col-xs-12"> @PDM.Code: @mActivity.U_ActSAP</div>
                                        <div class="col-xs-12">@PDM.AT: @(mActivity.U_Manager != null ? mActivity.U_Manager : mActivity.U_User)</div>
                                        <div class="col-xs-6"> <strong>@PDM.DF:</strong><br> @(mActivity.U_PlSDate.HasValue ? mActivity.U_PlSDate.Value.ToShortDateString() : "")</div>
                                        <div class="col-xs-6"> <strong>@PDM.DT:</strong><br> @(mActivity.U_PlCDate.HasValue ? mActivity.U_PlCDate.Value.ToShortDateString() : "")</div>
                                        @*<button type="button" class="btn btn-default btn-sm pull-center"><span class="glyphicon glyphicon-time"></span> View Activity</button>*@
                                        @*<input type="button" class="btn btn-default btn-sm pull-center" onClick="parent.location='@(!string.IsNullOrEmpty(mActivity.U_ActSAP) ? "/PLM/Activity/ActivityAction?pAction=View&pCode="+mActivity.U_ActSAP+"&pFrom=MyActivities" : "#" )'" formtarget="_blank">*@
                                        <div class="clearfix"> </div>
                                        <a href="@(!string.IsNullOrEmpty(mActivity.U_ActSAP) ? "/PLM/Activity/ActivityAction?pAction=View&pCode="+mActivity.U_ActSAP+"&pFrom=MyActivities" : "#" )" class="btn btn-default btn-xs" @(!string.IsNullOrEmpty(mActivity.U_ActSAP) ? "target = _blank style=cursor:pointer;padding-top:10px;" : "style=cursor:pointer;padding-top:10px;" )><span class="glyphicon glyphicon-eye-open"></span> View Activity</a>
                                    </a>
                                </li>
                            }
                        </ul>
                    </div>
                </form>
            </div>
        </div>
    }
}

<div class="alert alert-success" id="UpdateCorrectly" role="alert">
    <strong>@PDM.ProjectUpdateMessage</strong>
</div>



<div class="but_blok_footer"  >
    @if (ViewBag.FormMode != "View")
    {
        <button id="btnOk" class="btn btn-lg btn-success pull-right">@(ViewBag.FormMode == "Update" ? "Update Project" : "Add Project")</button>
    }
</div>
    <input type="hidden" name="Pagekey" id="Pagekey" value="@Model.PageKey" />

    @*Modal Users*@
    <div class="modal fade" id="ModalUsers" tabindex="-1" role="dialog" aria-labelledby="ModalUsersLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="ModalUsersLabel">@SaleOrders.Search </h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <input id="UserRowId" class="form-control" value="" disabled="disabled" style="display:none;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("CodeUser", null, new { @Id = "CodeUser", @Name = "CodeUser", @placeholder = "Code", @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("NameUser", null, new { @Id = "NameUser", @Name = "NameUser", @placeholder = "Name", @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchUser" onclick="fat_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body udf_box_limitado" id="ModalUserTable">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Patterns*@
    <div class="modal fade" id="ModalEmployee" tabindex="-1" role="dialog" aria-labelledby="ModalEmployeeLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="ModalEmployeeLabel">@SaleOrders.Search </h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <input id="EmployeeRowId" class="form-control" value="" disabled="disabled" style="display:none;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("CodeEmployee", null, new { @Id = "CodeEmployee", @Name = "CodeEmployee", @placeholder = "Code", @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("NameEmployee", null, new { @Id = "NameEmployee", @Name = "NameEmployee", @placeholder = "Name", @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchEmployee" onclick="fat_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body udf_box_limitado" id="ModalEmployeeTable">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Patterns*@
    <div class="modal fade" id="ModalBP" tabindex="-1" role="dialog" aria-labelledby="ModalBPLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="ModalBPLabel">@SaleOrders.Search </h4>
                </div>
                <div class="">
                    <div class="bs-example">
                        <div class="col-md-4" style="padding-top:0px;">
                            <input id="BPRowId" class="form-control" value="" disabled="disabled" style="display:none;">
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                                <div class="col-md-9">
                                    @Html.TextBox("CodeBP", null, new { @Id = "CodeBP", @Name = "CodeBP", @placeholder = "Code", @class = "form-control" })
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                                <div class="col-md-9">
                                    @Html.TextBox("NameBP", null, new { @Id = "NameBP", @Name = "NameBP", @placeholder = "Name", @class = "form-control" })
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchBP" onclick="fat_modal_body($('.modal'))" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                        </div>
                    </div>
                    <div class="panel-body udf_box_limitado" id="ModalBPTable">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>
